#ifndef	__CALL_Z80_H__
#define	__CALL_Z80_H__
//*******************************************************
//
//	Z80EM1
//
//	z80emuの I/F
//
//	2014.9.23	KAWAKAMI Yukio
//*******************************************************

#include	<inttypes.h>

#ifndef	Z80_BC
#include	"z80emu.h"
#endif

#define Z80_FETCH_BYTE(address, x)                                      \
{                                                                       \
	(x) = z80_fetch_byte(address);										\
}

#define Z80_FETCH_WORD(address, x)                                      \
{                                                                       \
	(x) = z80_fetch_word(address);										\
}

#define Z80_READ_BYTE(address, x)                                       \
{                                                                       \
	(x) = z80_read_byte(address);										\
}

#define Z80_WRITE_BYTE(address, x)                                      \
{                                                                       \
	z80_write_byte(address, x);											\
}

#define Z80_READ_WORD(address, x)                                       \
{                                                                       \
	(x) = z80_read_word(address);										\
}

#define Z80_WRITE_WORD(address, x)                                      \
{                                                                       \
	z80_write_word(address, x);											\
}

#define Z80_INPUT_BYTE(port, x)                                         \
{                                                                       \
	(x) = z80_input_byte(port);											\
}

#define Z80_OUTPUT_BYTE(port, x)                                        \
{                                                                       \
	z80_output_byte(port, x);											\
}


uint8_t z80_fetch_byte(uint16_t adrs);
uint16_t z80_fetch_word(uint16_t adrs);
uint8_t z80_read_byte(uint16_t adrs);
uint16_t z80_read_word(uint16_t adrs);
void z80_write_byte(uint16_t adrs, uint8_t data);
void z80_write_word(uint16_t adrs, uint16_t data);
uint8_t z80_input_byte(uint16_t port);
void z80_output_byte(uint16_t port, uint8_t data);

void copy_ROM(void);

#endif	// __CALL_Z80_H__
