#ifndef	__COM_H__
#define	__COM_H__
//*******************************************************
//
//	シリアルポート制御
//
//	2014.3.28	KAWAKAMI Yukio
//*******************************************************

#include	<stdint.h>

#define	RX_BUFF_SIZE	64
#define	TX_BUFF_SIZE	64

typedef struct S_COM_WORK {
	volatile uint8_t	ibuff[RX_BUFF_SIZE];
	volatile uint16_t	ibuff_in;
	volatile uint16_t	ibuff_out;
	volatile uint16_t	ibuff_remain;

#if TX_BUFF_SIZE > 0
	volatile uint8_t	obuff[TX_BUFF_SIZE];
	volatile uint16_t	obuff_in;
	volatile uint16_t	obuff_out;
	volatile uint16_t	obuff_remain;
#endif
} COM_WORK;

/* Funcion Prototypes */
extern void putch(uint8_t c);
extern uint8_t getch(void);
extern uint8_t keypressed(void);
extern void cputs(const char *s);
extern void cgets(char *s, int bufsize);

void	init_com(COM_WORK *com, uint32_t baud);
int		check_com(COM_WORK *com);
uint8_t	read_com(COM_WORK *com);
void	write_com(COM_WORK *com, uint8_t data);
void	write_com_str(COM_WORK *com, char *str);
void	wait_send_com(COM_WORK *com);

#endif	// __COM_H__
