#ifndef	__MAIN_H__
#define	__MAIN_H__
//*******************************************************
//
//	Z80EM1
//
//	2014.9.24	KAWAKAMI Yukio
//*******************************************************

#include "hw_config.h"

#define	VERSION	"1.0.1"

#define	APPLICATION_START_ADDRESS	0x2000
#define	BOOTLOADER_ADDRESS			0x0000

// LPC1115は EEPROMが無いのでメインフラッシュの１ページを設定保存に用いる
//#define	CONFIG_FLASH_PAGE		255			// LPC1115
#define	CONFIG_FLASH_ADDRESS	0x001F00	// LPC1115

#define	RAM_START_ADDRESS		0x10000000

#define	BOOT_MARK			0xB00A5A68
#define	BOOT_MARK_PROGRAM	0xB00A5A50

// サイズはフラッシュの１ページ以下にすること
typedef struct S_CONFIG {
	uint8_t		prog_mark;
	uint16_t	exec_inst;
	uint8_t		mark;
} CONFIG;

#define	CONFIG_MARK	0xDB

#ifndef	ON
#define	ON	1
#endif
#ifndef	OFF
#define	OFF	0
#endif


void job_callback(void);

void port_init(void);
void boot(uint32_t mark);

void load_conf(CONFIG *config);
void save_conf(CONFIG *config);
void init_conf(CONFIG *config);

#endif	// __MAIN_H__
