//*******************************************************
//
//	Z80EM1	Bootloader
//
//	タイマー・SysTick関係
//
//	2014.9.23	KAWAKAMI Yukio
//*******************************************************

#include	"hw_config.h"
#include	"timer16.h"
#include	"main.h"
#include	"timer.h"

__IO uint32_t TickCount;
__IO uint16_t Timer;
__IO uint16_t WaitTimer;
__IO uint16_t AckTimer;

extern void mmc_timerproc(void);

//*******************************************************
//	SysTick割り込み
//	1msごとに呼ばれる
//*******************************************************
void SysTick_Handler(void){

	++TickCount;

	if (Timer)		--Timer;
	if (WaitTimer)	--WaitTimer;
	if (AckTimer)	--AckTimer;
}


//*******************************************************
//	1ms単位時間待ち
//*******************************************************
void wait_ms(uint16_t tm){

	WaitTimer = tm;
	while(WaitTimer){
		WDR;
		SLEEP;
	}
}


//*******************************************************
//	SysTick初期化
//*******************************************************
void SysTickInit(__IO uint32_t interval){

	SystemCoreClockUpdate();

	if (SysTick_Config(SystemCoreClock / interval)) {
		while (1);	// Error
	}
}

